import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class CouponCreateUserCouponsRequest {
  final List<String> promotionTokens;
  final String latitude;
  final String longitude;
  final String source;
  final String transId;
  final String crmId;
  final String publisherId;

  CouponCreateUserCouponsRequest({
    this.promotionTokens,
    this.latitude,
    this.longitude,
    this.source,
    this.transId,
    this.crmId,
    this.publisherId,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.PROMO_TOKENS] = promotionTokens;
    data[Constants.CREATION_LATITUDE] = latitude;
    data[Constants.CREATION_LONGITUDE] = longitude;
    data[Constants.SOURCE] = source;
    data[Constants.TRANS_ID] = transId;
    data[Constants.CRM_ID] = crmId;
    data[Constants.PUBLISHER_ID] = publisherId;
    return data;
  }
}
