import 'package:dcoupon_sdk_flutter_package/src/utils/constants.dart';

class PromotionGetFilterQuery {
  final String publisherId;
  final String lang;
  final String country;
  final int start;
  final int limit;

  PromotionGetFilterQuery({
    this.publisherId,
    this.lang,
    this.country,
    this.start,
    this.limit,
  });

  Map<String, dynamic> toJson() {
    final data = <String, dynamic>{};
    data[Constants.PUBLISHER_ID] = publisherId;
    data[Constants.LANG] = lang;
    data[Constants.COUNTRY] = country;
    data[Constants.START] = start;
    data[Constants.LIMIT] = limit;
    return data;
  }
}
